<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9272.xslt, versie 1.0, 06 april 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9272: Indien Header/Verzender = 7125 (= Orgaan van tijdelijk verblijf), dan moet BuitenlandVerzekerde voorkomen. -->
	<xsl:template name="rc9272">
		<xsl:param name="Verzender"/>
		<xsl:param name="Buitenlandverzekerde"/>

		<xsl:if test="$Verzender='7125' and not($Buitenlandverzekerde)">
			<gqs802:Feedback>
				<gqs802:Retourcode>9272</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Verzender)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Verzender"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
