<?xml version="1.0" encoding="UTF-8"?>
<!-- rc0013.xslt, versie 1.0, 06 april 2022-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 0013: Indien IndienerSoort = 01 (Servicebureau), dan moet Servicebureaucode voorkomen. -->
	<xsl:template name="rc0013">
		<xsl:param name="Indienersoort"/>
		<xsl:param name="Servicebureaucode"/>

		<xsl:if test="($Indienersoort='01') and not($Servicebureaucode)">
			<gqs802:Feedback>
				<gqs802:Retourcode>0013</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Indienersoort)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Indienersoort"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
