<?xml version="1.0" encoding="UTF-8"?>
<!-- rc0581.xslt, versie 1.0, 05-04-2002 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 0581: Indien Berichtcode = 582, dan moet waarde PrestatieCodelijstCode = 071 (= Prestatiecodelijst geestelijke gezondheidszorg en forensische zorg volgens ZPM) voorkomen, -->
	<xsl:template name="rc0581">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="PrestatieCodelijstCode"/>
		
		<xsl:if test="not ($PrestatieCodelijstCode = '071')">
			<gqs802:Feedback>
				<gqs802:Retourcode>0581</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Berichtcode"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($PrestatieCodelijstCode)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$PrestatieCodelijstCode"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
