<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9536.xslt, versie 1.0, 22 november 2022 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gqs802="http://ei.vektis.nl/schadelastbericht583">

	<!-- retourcode 9536: Indien DebetPrestatie/Declaratiewijze = "01" dan moeten Factuurnummer en Factuurdatum voorkomen -->
	<xsl:template name="rc9536">
		<xsl:param name="Declaratiewijze"/>
		<xsl:param name="Factuurnummer"/>
		<xsl:param name="Factuurdatum"/>

		<xsl:if test="($Declaratiewijze='01') and (not($Factuurdatum) or not($Factuurnummer))">
			<gqs802:Feedback>
				<gqs802:Retourcode>9536</gqs802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gqs802:BetrokkenElement>
					<gqs802:Elementnaam><xsl:value-of select="local-name($Declaratiewijze)"/></gqs802:Elementnaam>
					<gqs802:Elementwaarde><xsl:value-of select="$Declaratiewijze"/></gqs802:Elementwaarde>
				</gqs802:BetrokkenElement>
			</gqs802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
